package com.junmp.jyzb.service;

import com.junmp.jyzb.api.bean.dto.FetchingDataDto.WarehouseDevInfoDto;
import com.junmp.jyzb.api.bean.req.UpdateWarehouseDevReq;
import com.junmp.jyzb.entity.WarehouseDev;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
* @author lxh专属坐骑
* @description 针对表【sys_temp_humidity(温湿度)】的数据库操作Service
* @createDate 2023-12-19 08:33:43
*/
public interface WarehouseDevService extends IService<WarehouseDev> {

    String addWarehouseDev(UpdateWarehouseDevReq req);

    boolean updateWarehouseDev(UpdateWarehouseDevReq req);

    List<WarehouseDev> showWarehouseDevList(UpdateWarehouseDevReq req);

    List<WarehouseDevInfoDto> alignWarehouseDevInfo(UpdateWarehouseDevReq req);

    boolean delWarehouseDev(UpdateWarehouseDevReq req);
}
